curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/globalWallets/settings \
--header 'Authorization: Bearer <token>'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"walletName": "An example name",
"popupPageTitle": "An example name",
"walletIconUrl": "https://website-sample/icon.svg",
"customCssUrl": "https://website-sample/custom.css",
"termsOfServiceUrl": "https://website-sample.com",
"privacyPolicyUrl": "https://website-sample.com",
"termsOfServiceAndPrivacyPolicyMarkdown": "This is a markdown example with a **bold** text and a [link](https://website-sample.com)",
"customMenuLinks": [
{
"label": "An example name",
"url": "https://website-sample.com"
}
],
"enableLoginWithExternalWallets": true,
"enabledAt": "2023-11-07T05:31:56Z"
}curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/globalWallets/settings \
--header 'Authorization: Bearer <token>'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"walletName": "An example name",
"popupPageTitle": "An example name",
"walletIconUrl": "https://website-sample/icon.svg",
"customCssUrl": "https://website-sample/custom.css",
"termsOfServiceUrl": "https://website-sample.com",
"privacyPolicyUrl": "https://website-sample.com",
"termsOfServiceAndPrivacyPolicyMarkdown": "This is a markdown example with a **bold** text and a [link](https://website-sample.com)",
"customMenuLinks": [
{
"label": "An example name",
"url": "https://website-sample.com"
}
],
"enableLoginWithExternalWallets": true,
"enabledAt": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Global wallets settings response
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
50^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
50^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.(?:png|svg)$"https://website-sample/icon.svg"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.css$"https://website-sample/custom.css"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
1024^$|^(?!.*<[^&]+>)[a-zA-Z0-9\s\/;:\*\-\(\)\[\]%#@'"\\.,=+\$&]+$"This is a markdown example with a **bold** text and a [link](https://website-sample.com)"
Show child attributes
If global wallet is enabled, then this timestamp will be present.
Was this page helpful?